#                                               -*- Autoconf -*-
# Process this file with autoconf to produce a configure script.
#
# SPDX-FileCopyrightText: 2021 Boyuan Yang <byang@debian.org>
# SPDX-License-Identifier: CC0-1.0

AC_PREREQ([2.69])
AC_INIT([mdetect], [0.5.2.4])
AC_CONFIG_SRCDIR([mdetect.h])
AC_CONFIG_HEADERS([config.h])
AM_INIT_AUTOMAKE([foreign])

# Checks for programs.
AC_PROG_CC
AC_PROG_INSTALL

# Checks for libraries.

# Checks for header files.
AC_CHECK_HEADERS([fcntl.h sys/time.h termios.h unistd.h])

# Checks for typedefs, structures, and compiler characteristics.
AC_CHECK_MEMBERS([struct stat.st_rdev])

# Checks for library functions.
AC_HEADER_MAJOR
AC_FUNC_MALLOC
AC_CHECK_FUNCS([alarm gettimeofday memmove memset select strcasecmp])

AC_CONFIG_FILES([Makefile])
AC_OUTPUT
